# vim: set ft=spec: -*- rpm-spec -*-
# $Id: i386-mingw32msvc-zlib,v 1.3 2004/10/06 17:55:34 raorn Exp $

%mingw_package

%define pkgname zlib

Name: %cross_arch-%pkgname
Version: 1.2.1.2
Release: alt2

Summary: %pkgname DLL for %cross_arch target
License: BSD
Group: System/Libraries
Url: http://www.%pkgname.org/

BuildArch: noarch

Source: http://download.sourceforge.net/libpng/%pkgname-%version.tar.bz2

Patch1: zlib-1.2.1.1-alt-gzread-transparent.patch
Patch2: zlib-1.2.1.2-alt-gzio-gzerror.patch
Patch3: zlib-1.2.1-pld-alt-shared-dll.patch

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Sun Oct 03 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc i386-mingw32msvc-runtime

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
find -type f -name \*.orig -print -delete

%build
%define _optlevel 3
%add_optflags -D_REENTRANT -momit-leaf-frame-pointer

CFLAGS="%optflags" \
%cross_env \
AR="%cross_arch-ar rc" \
./configure --prefix=%_archprefix
%make_build
%__rm -f *.s *.o

CFLAGS="%optflags %optflags_shared" \
%cross_env \
AR="%cross_arch-ar rc" \
./configure --prefix=%_archprefix --shared
%make_build zlib1.dll

%install
%__mkdir_p %buildroot{%_archbindir,%_archlibdir,%_archincludedir}

%make_install install prefix=%buildroot%_archprefix

%__install -pm644 zlib1.dll %buildroot%_archbindir/
%__install -pm644 libz.dll.a %buildroot%_archlibdir/

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_archlibdir/*.dll.a
%_archincludedir/*

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Wed Oct 06 2004 Sir Raorn <raorn@altlinux.ru> 1.2.1.2-alt2
- Rename libz.dll to zlib1.dll

* Sun Oct 03 2004 Sir Raorn <raorn@altlinux.ru> 1.2.1.2-alt1
- Built for %cross_arch target

* Thu Sep 23 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.1.2-alt1
- Updated to 1.2.1.2

* Tue Aug 24 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.1.1-alt3
- Fixed inflate bugs (CAN-2004-0797).
- Added multilib support (#4899).

* Tue May 04 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.1.1-alt2
- Rebuilt with glibc-2.3.x.

* Sun Feb 22 2004 Dmitry V. Levin <ldv@altlinux.org> 1.2.1.1-alt1
- Updated to 1.2.1.1
- Updated patches.
- Added ELF versioning for new functions.
- Disabled asm optimization for i586 due to worse performance.
- Do not package zutil.h header.

* Thu May 01 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.4-alt4
- gzio: fixed potential segfaults in gzerror().
- Don't set strip methods explicitly.
- When debug is enabled, do not add optimization flags.

* Tue Feb 25 2003 Dmitry V. Levin <ldv@altlinux.org> 1.1.4-alt3
- Corrected a potential buffer overflow in gzprintf(),
  patch from Owl, thanks to Bugtraq postings by Crazy Einstein,
  Richard Kettlewell, and Carlo Marcelo Arenas Belon.

* Sat Aug 31 2002 Dmitry V. Levin <ldv@altlinux.org> 1.1.4-alt2
- Updated %%post/%%postun scripts.
- Turned absolute symlinks into relative.
- Build the package only if test succeed (rh).
- Updated devel-static requirements.

* Tue Mar 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.4-alt1
- 1.1.4

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.3-ipl15mdk
- Built with -momit-leaf-frame-pointer.

* Fri Feb 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.3-ipl14mdk
- Error handling fixes for inflate (by Owen Taylor).

* Fri Jun 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.3-ipl13mdk
- Fixed URL.

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.3-ipl12mdk
- Moved static library to devel-static subpackage.
- Fixed shared library link command.
- Updated requires.

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl11mdk
- Explicitly set strip methods.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl10mdk
- Commented out translations in specfile for a while.

* Thu Aug 31 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl9mdk
- Fixed bug in gzread transparent processing.
- Enabled asm optimization if available.
- RE adaptions.

* Fri Feb 25 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

